import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_app/features/shared_widgets/default_container.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_medium.dart';
import 'package:syncrow_app/generated/assets.dart';
import 'package:syncrow_app/utils/context_extension.dart';

class LoginWithGoogleFacebook extends StatelessWidget {
  const LoginWithGoogleFacebook({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Expanded(
          child: DefaultContainer(
            child: SizedBox.square(
              dimension: 24,
              child: Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  SvgPicture.asset(Assets.assetsIconsGoogle),
                  const SizedBox(width: 10),
                  BodyMedium(
                    text: "Google",
                    style: context.bodyMedium.copyWith(
                      color: Colors.black,
                    ),
                  ),
                ],
              ),
            ),
          ),
        ),
        const SizedBox(width: 10),
        Expanded(
          child: DefaultContainer(
            child: SizedBox.square(
              dimension: 24,
              child: Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  SvgPicture.asset(Assets.assetsIconsFacebook),
                  const SizedBox(width: 10),
                  BodyMedium(
                    text: "Facebook",
                    style: context.bodyMedium.copyWith(color: Colors.black),
                  ),
                ],
              ),
            ),
          ),
        ),
      ],
    );
  }
}
